package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.agent.AgentApply;

/**
 * 微代理申请 mapper
 * @author 穆再兴
 *	2016年4月19日
 */
public interface AgentApplyMapper {
	/**
	 * 查询符合条件所有申请
	 * 2016年4月27日
	 * @author 穆再兴
	 * @return
	 */
	public List<AgentApply> getAllApplyByOpenid(AgentApply agentApply);
	
	/**
	 * 查询符合条件所有申请数
	 * 2016年4月27日
	 * @author 穆再兴
	 * @return
	 */
	public int getAllApplyCount(AgentApply agentApply);
	/**
	 * 添加一条申请
	 * @author 穆再兴
	 * @return
	 * 2016年4月19日
	 */
	public Integer addAgentApply(AgentApply agentApply);
	
	/**
	 * 通过id 查询一个AgentApply
	 * @param applyId
	 * @return
	 */
	public AgentApply getAgentApplyById(Integer applyId);
	
	/**
	 * 通过openid 查询此用户的所有申请
	 * @param applyId
	 * @return
	 */
	public List<AgentApply> getAgentApplyByOpenId(String openId);
	
	/**
	 * 根据applyId 修改一个申请的信息
	 * @author 穆再兴	2016年4月19日
	 * @param apply
	 * @return
	 */
	public Integer updateAgentApplyByApplyId(AgentApply apply);
	
	
}
